Change billing period for a domain

Change how often you are billed for your domain, for example, from annual to 3-year billing. This can affect your upcoming payment date and the total amount for renewals.

Domain Services Domains

Context

Path Parameters

id integer · min: 1 required Example: 10202

Unique id identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
period string required · Example: 1

Responses

200
data object required
data.domainName string required · Example: example.com
data.message string required · Example: Domain billing period changed successfully

Human-readable message.

data.newPeriod string required · Example: 1
data.recurringAmount string · enum required · Example: 169.00
169.00
338.00
507.00
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domains/{id}/billing-cycle
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domains/10202/billing-cycle" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "period": "1"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Domain billing period changed successfully",
    "newPeriod": "1",
    "domainName": "example.com",
    "recurringAmount": "169.00"
  }
}
Request Body Example 1
{
  "period": "1"
}